Loading...
Searching...
No Matches
proj2.c File Reference

GIS Library - Projection support (internal subroutines). More...

`#include <grass/gis.h>`
`#include <grass/glocale.h>`
Include dependency graph for proj2.c:

Go to the source code of this file.

## Functions

int | G_projection_units (int n)
| Get projection units code (for internal use only).
const char * | G_projection_name (int n)
| Get projection name.

## Detailed Description

GIS Library - Projection support (internal subroutines).

(C) 2001-2011 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Original author CERL

Definition in file proj2.c.

## Function Documentation

## G_projection_name()

const char * G_projection_name | ( | int | n | ) |

Get projection name.

Parameters

  n | projection code

Returns
  projection name
  NULL on error

Definition at line 55 of file proj2.c.

References NULL.

Referenced by G_database_projection_name().

## G_projection_units()

int G_projection_units | ( | int | n | ) |

Get projection units code (for internal use only).

Parameters

  n | projection code

Supported units (see gis.h):

- U_UNKNOWN (XY)
- U_METERS (UTM)
- U_FEET (SP)
- U_USFEET (a few SP)
- U_DEGREES (LL)

Returns
  units code (see gis.h)
  U_UNDEFINED if not defined

Definition at line 32 of file proj2.c.

Referenced by G_database_unit().